Subject: XGetImage eats terribly slow

From: Dominik Vogt <[email-masked]>
Date: Mon, 28 Dec 1998 01:14:15 +0100

When I try to combine a diagonal colour gradient with
3d hilighting (SetMenuStyle) most of the time menus
are *very* **very** slow (it takes 0.5 to 1 seconds
to hilight a single menu item, the pinter 'moves'
similarly jerky - if you can call that 'movement' at all).

I debugged this and what happens is that the XGetImage
function consumes up all this time. I have no idea why
since the grabbed rectangle is 178x23 pixels (16 planes).
Sometimes it works in the blink on an eye, but most of the
time it is **slow**. Top gives me this when moving the pointer
up and down over the menu:

  PID USER     PRI  NI  SIZE  RSS SHARE STAT  LIB %CPU %MEM   TIME COMMAND
  273 root      17   5  7108 7108  1496 R N     0 97.2 23.0   4:26 X
                                                  ^^^^
If I don't open menus it is ok:

  PID USER     PRI  NI  SIZE  RSS SHARE STAT  LIB %CPU %MEM   TIME COMMAND
  273 root      17   5  7108 7108  1496 S N     0  1.7 23.0   4:34 X
                                                   ^^^

I got it working smooth once. I started and killed netscape
and netscape went wild (as it sometimes does, consuming 97%
cpu). I killed netscape with -KILL and everything worked fine
from then. The strange thing is that I didn't run netscape
before menus went slow.

What is happening there?

Bye

Dominik
-- 
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].